## org.opencyc.xml
Class ImportOpenDirectoryStructure.DamlDocInfo

    java.lang.Object
      |
      +--org.opencyc.xml.ImportOpenDirectoryStructure.DamlDocInfo

Enclosing class:
  ImportOpenDirectoryStructure

protected class ImportOpenDirectoryStructure.DamlDocInfo
extends java.lang.Object

Provides a container for specifying the ODP DAML document paths and the Cyc import microtheory for each.

Field Summary
`protected java.lang.String` `characterEncoding` character encoding (e.g.
`protected java.lang.String` `damlPath` path (url) to the ODP DAML document
`protected java.lang.String` `importMt` microtheory into which DAML content is imported

Constructor Summary
`ImportOpenDirectoryStructure.DamlDocInfo(java.lang.String damlPath, java.lang.String characterEncoding, java.lang.String importMt)` Constructs a new DamlDocInfo object

Method Summary
`java.lang.String` `getCharacterEncoding()` Returns the character encoding scheme of the input DAML document.
`java.lang.String` `getDamlPath()` Returns the daml document path.
`java.lang.String` `getImportMt()` Returns the microtheory into which DAML content is imported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### damlPath

    protected java.lang.String damlPath

  path (url) to the ODP DAML document

### characterEncoding

    protected java.lang.String characterEncoding

  character encoding (e.g. UTF-8)

### importMt

    protected java.lang.String importMt

  microtheory into which DAML content is imported

Constructor Detail

### ImportOpenDirectoryStructure.DamlDocInfo

    public ImportOpenDirectoryStructure.DamlDocInfo(java.lang.String damlPath,
                                                    java.lang.String characterEncoding,
                                                    java.lang.String importMt)

  Constructs a new DamlDocInfo object
  Parameters:
    `damlPath` - the path to the DAML docuement - as a URI
    `characterEncoding` - the character encoding scheme of the input DAML document or null if default ASCII encoding
    `importMt` - the microtheory into which the non-definitional assertions are placed

Method Detail

### getDamlPath

    public java.lang.String getDamlPath()

  Returns the daml document path.
  Returns:
    the daml document path

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Returns the character encoding scheme of the input DAML document.
  Returns:
    the the character encoding scheme of the input DAML document

### getImportMt

    public java.lang.String getImportMt()

  Returns the microtheory into which DAML content is imported.
  Returns:
    the microtheory into which DAML content is imported